Summary:         Basic request handling for OPeNDAP servers
Name:            dap-server
Version:         4.1.0
Release:         1%{?dist}
License:         LGPLv2+ and GPLv2+
Group:           System Environment/Daemons
Source0:         http://www.opendap.org/pub/source/%{name}-%{version}.tar.gz
URL:             http://www.opendap.org/

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   libdap-devel >= 3.11.0
BuildRequires:   bes-devel >= 3.9.0
BuildRequires:   cppunit-devel
Obsoletes:       %{name}-cgi < %{version}-%{release}
Provides:        %{name}-cgi = %{version}-%{release}


%description
This package contains general purpose handlers for use with the new
Hyrax data server. These are the Usage, ASCII and HTML form handlers.
Each takes input from a 'data handler' and returns a HTML or plain text
response --- something other than a DAP response object.

Older version of this package contain the 'Server3' CGI software; that
has been removed from this version.


%prep
%setup -q


%build
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'

rm $RPM_BUILD_ROOT%{_libdir}/bes/*.la


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT_URI NEWS README
%config(noreplace) %{_sysconfdir}/bes/modules/dap-server.conf
%{_datadir}/bes/
%{_libdir}/bes/libascii_module.so
%{_libdir}/bes/libusage_module.so
%{_libdir}/bes/libwww_module.so


%changelog
* Tue Feb 8 2011 Orion Poplawski <orion@cora.nwra.com> - 4.1.0-1
- Update to 4.1.0
- Drop perl patch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-3
- Major cleanup, drop cgi package

* Thu Jul 15 2010 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-2
- Rebuild for libdap soname bump

* Tue Jul 13 2010 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-1
- Update to 4.0.0
- Add patch to skip perl version check

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Orion Poplawski <orion@cora.nwra.com> - 3.9.3-1
- Update to 3.9.3
- Add BR on cppunit-devel and make check

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Patrice Dumas <pertusus@free.fr> 3.8.5-1
- update to 3.8.5

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.8.4-3
- Autorebuild for GCC 4.3

* Mon Dec 17 2007 Patrice Dumas <pertusus@free.fr> 3.8.4-2
- update to 3.8.4

* Wed Jul  4 2007 Patrice Dumas <pertusus@free.fr> 3.8.2-1
- update to 3.8.2
- remove upstreamed security patch

* Fri Jun  1 2007  Patrice Dumas <pertusus@free.fr> 3.7.4-4
- rebuild against newer libdap

* Sat May  5 2007  Patrice Dumas <pertusus@free.fr> 3.7.4-3
- update patch, perl(CGI) is not needed

* Mon Apr 30 2007  Patrice Dumas <pertusus@free.fr> 3.7.4-2
- update to 3.7.4
- fix security issue
- remove config files upstreamed patch

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-4
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.1-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-2
- install cgi files according to the FHS, owned by root

* Wed Sep  6 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-1
- update to 3.7.1
- remove patch not needed anymore to link against libdap >= 3.7.0

* Wed Sep  6 2006 Patrice Dumas <pertusus@free.fr> 3.6.1-4
- rebuild for FC-6

* Tue Jul 25 2006 Patrice Dumas <pertusus@free.fr> 3.6.1-3
- dirty patch to link against libdapclient and libdapserver for libdap 3.7.0

* Sun Jun 18 2006 Patrice Dumas <pertusus@free.fr> 3.6.1-2
- update to 3.6.1
- adjust for newer jgofs handler even though it isn't packaged

* Fri Mar  3 2006 Patrice Dumas <pertusus@free.fr> 3.6.0-2
- new release

* Wed Feb 22 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 3.5.3-1.2
- Small fix for Perl provides

* Thu Feb  2 2006 Patrice Dumas <pertusus@free.fr> 3.5.3-1
- add a cgi subpackage

* Fri Sep  2 2005 Patrice Dumas <pertusus@free.fr> 3.5.1-1
- initial release
